Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.persistence
Enum TemporalType

    java.lang.Object
      java.lang.Enum<TemporalType>
          javax.persistence.TemporalType

All Implemented Interfaces:
  Serializable, Comparable<TemporalType>

    public enum TemporalType

extends Enum<TemporalType>

Type used to indicate a specific mapping of Date or Calendar.

Enum Constant Summary
`DATE` Map as java.sql.Date
`TIME` Map as java.sql.Time
`TIMESTAMP` Map as java.sql.Timestamp

Method Summary
`static TemporalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemporalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATE

    public static final TemporalType DATE

  Map as java.sql.Date

### TIME

    public static final TemporalType TIME

  Map as java.sql.Time

### TIMESTAMP

    public static final TemporalType TIMESTAMP

  Map as java.sql.Timestamp

Method Detail

### values

    public static final TemporalType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TemporalType c : TemporalType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TemporalType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD